--[[

A nice example of balls moving on the screen, using classes

This code is MIT licensed, see http://www.opensource.org/licenses/mit-license.php
(C) 2010 - 2011 Gideros Mobile 

]]

-- load background image and add it to the stage

--application:setFps(-60)

--local background = Bitmap.new(Texture.new("bg1.png",true)) -- bigger texture
local background = Bitmap.new(Texture.new("bg1s.png",false)) -- smaller texture

--local background1 = Bitmap.new(Texture.new("ray.png",true))  -- bigger texture
local background1 = Bitmap.new(Texture.new("rays.png",false)) -- smaller texture

background:setScale(application:getContentHeight()/background:getHeight())
background:setAnchorPoint(0.5,0.5)
background:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)
stage:addChild(background)
background1:setScale(application:getContentHeight()/background1:getHeight())
background1:setAnchorPoint(0.5,0.5)
background1:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)
stage:addChild(background1)

local wheel = Bitmap.new(Texture.new("wheel.png",true))
wheel:setScale(application:getContentWidth()/wheel:getWidth()*0.9)
wheel:setAnchorPoint(0.5,0.5)
wheel:setPosition(application:getContentWidth()/2, application:getContentHeight()/2)
stage:addChild(wheel)
wheel:addEventListener(Event.ENTER_FRAME, function () 
											wheel:setRotation(wheel:getRotation()+1)
										  end)

local add5balls = function ()
	for b = 1,5 do
		local ball = Ball.new("ball"..b..".png")
		stage:addChild(ball)
	end
end

stage:addEventListener(Event.TOUCHES_BEGIN, add5balls)

add5balls()
